Internet Explorer 9 and below are no longer supported

Internet Explorer 9 and earlier are no longer able to use Cliniko. If you attempt to access Cliniko with one of these browsers, you'll be taken to a page that will help you get an up to date browser.

Having an up to date browser is essential for the security of your computer and to make sure you're able to use all of Cliniko's features. Please contact us if you have any questions or want some help.

Have more questions? Submit a request

Comments

Powered by Zendesk